Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point:

## Public Member Functions
void | decode_from (class BER_Decoder &) override
void | encode_into (class DER_Encoder &) const override
const AlternativeName & | point () const

## Detailed Description

Definition at line 491 of file x509_ext.h.

## Member Function Documentation

void Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::decode_from | ( | class BER_Decoder & | from | ) |
| override virtual

Decode whatever this object is from from

Parameters

  from | the BER_Decoder that will be read from

Implements Botan::ASN1_Object.

Definition at line 873 of file x509_ext.cpp.

References Botan::CONSTRUCTED, Botan::CONTEXT_SPECIFIC, Botan::BER_Decoder::decode_optional_implicit(), Botan::BER_Decoder::end_cons(), Botan::SEQUENCE, and Botan::BER_Decoder::start_cons().

874 {
875 ber.start_cons(SEQUENCE)
876 .start_cons(ASN1_Tag(0), CONTEXT_SPECIFIC)
877 .decode_optional_implicit(m_point, ASN1_Tag(0),
878 ASN1_Tag(CONTEXT_SPECIFIC | CONSTRUCTED),
879 SEQUENCE, CONSTRUCTED)
880 .end_cons().end_cons();
881 }
Botan::CONTEXT_SPECIFIC
Definition: asn1_obj.h:25
Botan::CONSTRUCTED
Definition: asn1_obj.h:27
Botan::ASN1_Tag
ASN1_Tag
Definition: asn1_obj.h:22
Botan::SEQUENCE
Definition: asn1_obj.h:39

void Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::encode_into | ( | class DER_Encoder & | to | ) | const
| override virtual

Encode whatever this object is into to

Parameters

  to | the DER_Encoder that will be written to

Implements Botan::ASN1_Object.

Definition at line 868 of file x509_ext.cpp.

869 {
870 throw Not_Implemented("CRL_Distribution_Points encoding");
871 }

const AlternativeName& Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::point | ( |  | ) | const
| inline

Definition at line 497 of file x509_ext.h.

497 { return m_point; }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp